Package org.pushingpixels.substance.internal.utils.icon

# Enum Class SubstanceIconFactory.IconKind

java.lang.Object
java.lang.Enum<SubstanceIconFactory.IconKind>
org.pushingpixels.substance.internal.utils.icon.SubstanceIconFactory.IconKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceIconFactory.IconKind>`, `Constable`

Enclosing class:
  `SubstanceIconFactory`

public static enum SubstanceIconFactory.IconKind extends Enum<SubstanceIconFactory.IconKind>
Icon kind of a title pane button.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSE`
Icon of a close button.
`MAXIMIZE`
Icon of a maximize button.
`MINIMIZE`
Icon of a minimize button.
`RESTORE`
Icon of a restore button.

## Method Summary

Modifier and Type
Method
Description
`static SubstanceIconFactory.IconKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceIconFactory.IconKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLOSE

public static final SubstanceIconFactory.IconKind CLOSE
Icon of a close button.

### MINIMIZE

public static final SubstanceIconFactory.IconKind MINIMIZE
Icon of a minimize button.

### MAXIMIZE

public static final SubstanceIconFactory.IconKind MAXIMIZE
Icon of a maximize button.

### RESTORE

public static final SubstanceIconFactory.IconKind RESTORE
Icon of a restore button.

## Method Details

### values

public static SubstanceIconFactory.IconKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceIconFactory.IconKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null